Package org.apache.cayenne.dba.ingres

## Class IngresBooleanType

- java.lang.Object
- - org.apache.cayenne.access.types.BooleanType
  - - org.apache.cayenne.dba.ingres.IngresBooleanType

- All Implemented Interfaces:
    `ExtendedType<Boolean>`

      public class IngresBooleanType
      extends BooleanType

- - ### Field Summary

    - ### Fields inherited from interface org.apache.cayenne.access.types.ExtendedType

      `TRIM_VALUES_THRESHOLD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IngresBooleanType()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setJdbcObject​(PreparedStatement st, Boolean val, int pos, int type, int precision)` | Initializes a single parameter of a PreparedStatement with object value.

    - ### Methods inherited from class org.apache.cayenne.access.types.BooleanType

      `getClassName, materializeObject, materializeObject, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cayenne.access.types.ExtendedType

      `readProcessor, writeProcessor`

- - ### Constructor Detail

    - #### IngresBooleanType

          public IngresBooleanType()

  - ### Method Detail

    - #### setJdbcObject

          public void setJdbcObject​(PreparedStatement st,
                                    Boolean val,
                                    int pos,
                                    int type,
                                    int precision)
                             throws Exception

      Description copied from interface: `ExtendedType`
      Initializes a single parameter of a PreparedStatement with object value.
      Specified by:
        `setJdbcObject` in interface `ExtendedType<Boolean>`
      Overrides:
        `setJdbcObject` in class `BooleanType`
      Throws:
        `Exception`